#
# spec file for package minitube
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           minitube
Version:        2.1.3
Release:        1.1
License:        GPL-3.0+
Summary:        Native Youtube Client
Url:            http://flavio.tordini.org/minitube
Group:          Productivity/Multimedia/Video/Players
Source:         http://flavio.tordini.org/files/minitube/%{name}-%{version}.tar.gz
Patch0:         qtlocalpeer.patch
# https://launchpadlibrarian.net/105980691/inhibit-screensaver-during-playback
Patch1:         inhibit_screensaver_during_playback.patch
# YouTube Legal Team asked to remove the download functionality
Patch2:         enable_vid_download_again.patch
BuildRequires:  libqt4-devel >= 4.5.0
BuildRequires:  phonon-devel
BuildRequires:  update-desktop-files
# Requires phonon, because libphonon4 is not enough. Phonon package will pull a phonon-backend-* package.
Requires:       phonon
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Minitube is a native YouTube client. With it you can watch YouTube
videos in a new way: you type a keyword, Minitube gives you an endless
video stream. Minitube does not require the Flash Player.

Minitube is not about cloning the original YouTube web interface, it
strives to create a new TV-like experience.

Author:
-------
    Flavio Tordini

%prep
%setup -q -n minitube
%patch0
%patch1
# enable this patch to enable video downloads
#%patch2

%build
qmake PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install
%suse_update_desktop_file -r %{name} Qt AudioVideo Video Player

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CHANGES TODO
%{_bindir}/minitube
%{_datadir}/applications/minitube.desktop
%{_datadir}/icons/*
%dir %{_datadir}/minitube
%{_datadir}/minitube/locale/